Query available booking slots
Public endpoint — no authentication required. Returns available time slots for an event type within a date range.
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token.
In: header
Query Parameters
event_type_id*string
start*string
end*string
timezone*string
host_id?string
duration?integer
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/availability?event_type_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&start=string&end=string&timezone=string"{
"event_type_id": "a4ec4c3c-a3de-4a8a-983f-1791e72cea83",
"timezone": "string",
"start": "string",
"end": "string",
"slots": [
{
"start_time": "string",
"end_time": "string",
"spots_remaining": 0,
"total_capacity": 0,
"available": true,
"waitlist_available": true,
"waitlist_position": 0
}
],
"capped": true,
"waitlist_available": true,
"waitlist_position": 0
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Revoke an API key
Revokes an API key by setting its revoked_at timestamp. Revoked keys immediately fail authentication. Idempotent — revoking an already-revoked key returns 204.
Get availability rules for an event type
Returns the current availability rules and timezone for an event type. Use the public availability endpoint to query computed bookable slots.